<?php

namespace KupShop\FeedGeneratorBundle\Configuration\Nodes;

use KupShop\FeedGeneratorBundle\Configuration\IHasIterableNodes;

interface INode extends IHasIterableNodes
{
    public function getType(): string;

    public function setType(string $type);

    public function getValue(): string;

    public function setValue(string $value);
}
